org.apache.fop.hyphenation

## Class Hyphen

- java.lang.Object
- - org.apache.fop.hyphenation.Hyphen

- All Implemented Interfaces:
    java.io.Serializable

      public class Hyphen
      extends java.lang.Object
      implements java.io.Serializable

  Represents a hyphen.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `noBreak` no break string
    `java.lang.String` | `postBreak` post break string
    `java.lang.String` | `preBreak` pre break string

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### preBreak

          public java.lang.String preBreak

      pre break string

    - #### noBreak

          public java.lang.String noBreak

      no break string

    - #### postBreak

          public java.lang.String postBreak

      post break string

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.